#find /var/www/nextcloud/data/radio_admin/files/radio_music_and_jingles/music/leo_selecta/ -name "*.mp3" -exec id3v2 -l {} | grep "NO ID" \;

#!/bin/bash

# Verzeichnis angeben
VERZEICHNIS="/var/www/nextcloud/data/radio_admin/files/radio_music_and_jingles/music/"

# Durchlaufe alle MP3-Dateien im angegebenen Verzeichnis
find "$VERZEICHNIS" -type f -name "*.mp3" | while read -r datei; do
    # Überprüfe, ob der "title"-Tag vorhanden ist
    title=$(mediainfo --Inform="General;%Title%" "$datei")
	#echo "$title"
    if [ -z "$title" ]; then
#	echo "KEIN TITEL $title für $datei"
        # Extrahiere den Dateinamen ohne Erweiterung
        dateiname=$(basename "$datei" .mp3)
        # Setze den Dateinamen als "title"-Tag
        sudo id3v2 -t "$dateiname" "$datei"
	sudo id3v2 -a " " "$datei"
        echo "Titel-Tag gesetzt auf: $dateiname für Datei: $datei"
    fi
done
